FLANG

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Fortran::evaluate::ProcedureRef Class Reference
Inheritance diagram for Fortran::evaluate::ProcedureRef:

## Public Member Functions
| ProcedureRef (ProcedureDesignator &&p, ActualArguments &&a, bool hasAlternateReturns=false)
ProcedureDesignator & | proc ()
const ProcedureDesignator & | proc () const
ActualArguments & | arguments ()
const ActualArguments & | arguments () const
std::optional< Expr< SubscriptInteger > > | LEN () const
int | Rank () const
bool | IsElemental () const
bool | hasAlternateReturns () const
bool | operator== (const ProcedureRef &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Static Public Member Functions
static void | Deleter (ProcedureRef *)

## Protected Attributes
ProcedureDesignator | proc_
ActualArguments | arguments_
bool | hasAlternateReturns_

The documentation for this class was generated from the following files:

- include/flang/Evaluate/call.h
- lib/Evaluate/call.cpp
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp